{{ ansible_managed | comment('plain', prefix='#######\n#', postfix='#\n#######\n') }}
{# reset prefix #}
set -g prefix C-a

################
# TMUX PLUGINS #
################
set -g @plugin 'thewtex/tmux-mem-cpu-load'

############################################################################
# Global options
############################################################################
# Fix ctrl+left/right keys work right
set-window-option -g xterm-keys on

# start window indexing at one instead of zero
set -g base-index 1

# Set 'v' for vertical and 'h' for horizontal split
bind v split-window -h -c '#{pane_current_path}'
bind b split-window -v -c '#{pane_current_path}'

# tmux inception
bind a send-prefix

# vim-like pane switching
bind k select-pane -U
bind j select-pane -D
bind h select-pane -L
bind l select-pane -R

# vim-like pane resizing
bind -r C-k resize-pane -U
bind -r C-j resize-pane -D
bind -r C-h resize-pane -L
bind -r C-l resize-pane -R

############################################################################
# Unbindings
############################################################################
# remove default binding since replacing
unbind %
unbind Up
unbind Down
unbind Left
unbind Right

unbind C-Up
unbind C-Down
unbind C-Left
unbind C-Right

########################################
# Define my custom menu bar
########################################
setw -g monitor-activity on
set -g visual-activity on

# extended color support for tmux
set -g default-terminal "xterm-256color"

# increase scrollback log ( http://stackoverflow.com/a/18777877/2733115 )
set-option -g history-limit 4000

####################
# powerline config #
####################
# Status bar settings adapted from powerline
set -g status on
set -g status-interval 10
set -g status-fg colour231
set -g status-bg colour234
set -g status-left-length 20
set -g status-left '#{?client_prefix,#[fg=colour254]#[bg=colour31]#[bold],#[fg=colour16]#[bg=colour254]#[bold]} #S #{?client_prefix,#[fg=colour31]#[bg=colour234]#[nobold],#[fg=colour254]#[bg=colour234]#[nobold]}'
set -g status-right '#[fg=green]#({{ ansible_env.HOME }}/.tmux/plugins/tmux-mem-cpu-load/tmux-mem-cpu-load -g 5 -m 2 -t -a --colors --powerline-right --interval 2)#[default]'
set -g window-status-format "#[fg=colour244,bg=colour234]#I #[fg=colour240] #[default]#W "
set -g window-status-current-format "#[fg=colour234,bg=colour31]#[fg=colour117,bg=colour31] #I  #[fg=colour231,bold]#W #[fg=colour31,bg=colour234,nobold]"
set -g window-status-last-style fg=colour31
set-window-option -g window-status-fg colour249
set-window-option -g window-status-activity-attr none
set-window-option -g window-status-bell-attr none
set-window-option -g window-status-activity-fg yellow
set-window-option -g window-status-bell-fg red
{# required by TMUX Plugin Manager #}
run -b '{{ ansible_env.HOME }}/.tmux/plugins/tpm/tpm'
